extern int RED;
extern int DKGRAY;
extern int LTGRAY;
extern int WHITE;
extern int BLUE;
extern int BLACK;
extern int YELLOW;

typedef struct
{
   int xsize;
   int ysize;
   char *data;
} pict;

void fixpal(PaletteData tpal);
void impress(int x0, int y0, int x1, int y1);
void loadpcx(int x, int y, char *filename);
void scalepict(int x, int y, int scale, pict image);
void showwadfile(int x, int y, int e);
void statusbar(int x0, int y0, int x1, int y1, long t1, long t2);